## Teams Bots Dashboard

El proyecto trabaja con firebase

### Ejecutar en un ambiente de desarrollo

1. npm install
2. Crear un archivo .env en la raíz del proyecto y agregar las siguientes variables.

```sh
VUE_APP_API_KEY=
VUE_APP_AUTH_DOMAIN=
VUE_APP_RTDB=<Url de la base: Real Time Database>
VUE_APP_PROJECT_ID=
VUE_APP_STORAGE_BUCKET=
VUE_APP_MESSAGING_SENDER_ID=
VUE_APP_APP_ID=
VUE_APP_URL=http://localhost:3000
VUE_APP_ENV=DEV
VUE_APP_SITE_URL=http://localhost:3000
VUE_APP_FB_FUNCTIONS=http://localhost:5001/teams-bots-dashboard/us-central1
```

3. npm run dev

### Deploy

1. Llenar las variables de entorno con valores de producción
2. Agregar en el archivo .firebaserc el nombre del proyecto de firebase de producción
3. npm run build
5. Instalar el cli de firebase
6. Ejecutar firebase login
7. Ejecutar firebase use <NOMBRE_PROYECTO_FIREBASE>
8. firebase deploy

 