import {
    helperDifferenceBetweenCurrentAndPastDateInHours,
} from "./helpers";

import moment from "moment";
import { db } from "../db";
export const botBugForHours = (updatedAt: string) => {

    let numberOfHoursBotCrashed = moment(updatedAt).isValid()
        ? helperDifferenceBetweenCurrentAndPastDateInHours(updatedAt)
        : 0;

    return numberOfHoursBotCrashed > 1 ? true : false;
}

export const errorIntheBot = (state: string, start: string, updatedAt: string) => {

    if (
        (state == "activo" &&
            (Number(
                helperDifferenceBetweenCurrentAndPastDateInHours(
                    start
                )
            ) > 5 ||
                botBugForHours(updatedAt || ""))) ||
        !moment(start).isValid()
    )
        return true
    return false


}

export const releaseBot = async (bot: any, txtRef: string, userId: string) => {

    if (bot.state != "activo" && bot.state != "ERROR" && bot.end != "vacio" && bot.end != "")
        return ["info",
            "Todo bien por aquí."]

    if (bot.id != "") {
        if (bot.updatedAt == "NONE")
            return ["error",
                "No existe la fecha de la última actualización."]
        if (
            confirm(
                "Esta seguro que desea cambiar el estado del bot a Liberado y en la fecha de finalización agregar la ultima fecha de actualización?"
            )
        ) {

            await db.ref(txtRef).update({
                state: "Libre",
                end: bot.updatedAt,
                updatedBy: userId
            });

            return ["success",
                "Éxito."]
        } else
            return ["warn",
                "Operación cancelada."]

    }

    return ["error",
        "Faltan datos para el update."]



}