import { helperSortListTextAsc } from "./helpers";
export const createMeetingChart = (lastFiveMinutesByUser: any, totalTimeByUser: any, state: string) => {
    let labels = [] as any;
    let data = [] as any;
    let newList = [] as any;
    let list = state == "activo" ? lastFiveMinutesByUser : totalTimeByUser

    let total = 0
    Object.keys(list).forEach(async (user) => {
        newList.push({
            label: user,
            data: list[user]
        })
        total = Number(total) + Number(list[user])
    });

    if (newList.length > 0) {
        newList= helperSortListTextAsc(newList, "label")
        let i = newList.findIndex((x: any) => x.label == "Inactividad verbal")
        if (i > -1) {
            let inactividadVerbal = newList[i]
            newList.splice(i, 1);
            newList.unshift(inactividadVerbal)
        }
    }
    for (let item of newList) {
        labels.push(item.label);
        data.push(((Number(item.data) / Number(total)) * 100).toFixed(0));
    }

    return {
        labels: labels,
        datasets: [
            {
                data: data,
                backgroundColor: [],
            },
        ],
    };
}