const KEY_LOCALSTORAGE = "TEAMS-BOTS-DASHBOARD-0926152735-2517273621-0003241921"

export interface SessionInterface {
    name: string,
    email: string,
    token: string,
    expiresAt: string,
    id: string
}

export const setSession = (sessionData: SessionInterface) => {
    localStorage.setItem(KEY_LOCALSTORAGE, JSON.stringify(sessionData));
}

export const getSession = () => {
    try {
        let sessionData = localStorage.getItem(KEY_LOCALSTORAGE)
        let objSessionData = JSON.parse(sessionData as string);
        return objSessionData
    } catch (error) {
        console.log("utils/session/getSession", error);
        return {
            token: ""
        }
    }
}

export const deleteSession = () => {
    localStorage.clear();
    window.location.reload();
}