import { createStore } from 'vuex'
// Create a new store instance.
export const store = createStore({
    state() {
        return {
            user: null,
            isAdmin: false,
            updatedRoles: false,
            viewedReports: null
        }
    },
    mutations: {
        setUser(state: any, user: any) {
            state.user = user
        },
        setMyRole(state: any, role: any) {
            state.isAdmin = role.admin
        },
        setUpdatedRoles(state: any, value: boolean) {
            state.updatedRoles = value
        },
        setViewedReports(state: any, value: any) {
            state.viewedReports = value
        }
    }
})